#include <stdio.h>
#include <stdlib.h>

#include "PNG/ChargePngFile.h"

int main(void) {
  { int rx;
    int ry;
    printf("Inconnu.png\n");
    unsigned char *img = chargeImagePng("Inconnu.png",&rx,&ry);
    printf("Adresse         : %p\n",img);
    if ( img ) {
      free(img); } }
  printf("\n");
  { int rx;
    int ry;
    printf("Emojis.png\n");
    unsigned char *img = chargeImagePng("Emojis.png",&rx,&ry);
    printf("Adresse         : %p\n",img);
    if ( img ) {
      printf("Resolution en x : %8d\n",rx);
      printf("Resolution en y : %8d\n",ry);
      free(img); } }
  getchar();
  return 0;
}